Summary:       ALSA C++ library
Name:          zita-alsa-pcmi
Version:       0.2.0
Release:       14%{?dist}
License:       GPLv3+ 
Group:         System Environment/Libraries
URL:           http://kokkinizita.linuxaudio.org
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
# Patches sent upstream by email 20120621
Patch1:        %{name}-%{version}-apps.patch
Patch2:        %{name}-%{version}-libs.patch

BuildRequires: alsa-lib-devel
%description
%{name} is the successor of clalsadrv. It provides easy access
to ALSA PCM devices, taking care of the many functions required to
open, initialize and use a hw: device in mmap mode, and providing
floating point audio data.

%package  devel
Summary:       Development libraries and headers for %{name}
Group:         Development/Libraries
Requires:      %{name}%{?_isa} = %{version}-%{release}
Requires:      alsa-lib-devel

%description devel
This package contains the headers and development libraries for %{name}.


%package  utils
Summary:       ALSA utilities using the %{name} library
Group:         Applications/Multimedia
Requires:      %{name}%{?_isa} = %{version}-%{release}
# The following are GPLv2+ licensed:
# /apps/alsa_delay.cc, /apps/alsa_loopback.cc, /apps/mtmd.cc /apps/mtdm.cc
License:       GPLv2+ and GPLv3+

%description utils
This package contains the headers and development libraries for %{name}.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
export OPTFLAGS="%{optflags}"
make PREFIX=%{_prefix} LIBDIR=%{_libdir} %{?_smp_mflags} -C libs 
make PREFIX=%{_prefix} LIBDIR=%{_libdir} %{?_smp_mflags} -C apps

%install
make DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_lib} install -C libs
make DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_lib} install -C apps



# correct permisions (prevent unstripped binary or object message)
chmod 755 %{buildroot}%{_libdir}/lib%{name}.so.%{version}
# install missing symlink (was giving no-ldconfig-symlink rpmlint errors)
ldconfig -n %{buildroot}%{_libdir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING README
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

%files utils
%{_bindir}/alsa_delay
%{_bindir}/alsa_loopback

%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 26 2012 Jørn Lomax <northlomax@gmail.com> 0.2.0-8
- corrected licenses
* Mon Jun 25 2012 Jørn Lomax <northlomax@gmail.com> 0.2.0-7
- fixed licencing information and patch status
* Thu Jun 21 2012 Jørn Lomax <northlomax@gmail.com> 0.2.0-6
- changed from OPTFLAGS as argument to using export in build
* Mon Jun 18 2012 Jørn Lomax <northlomax@gmail.com> 0.2.0-5
- fixed changelog to fit requirements
- added patches to remove sed lines 
* Thu Jun 14 2012 Jørn Lomax <northlomax@gmail.com> 0.2.0-4
- replaced ln with ldconig in the install section
* Thu Jun 14 2012 Jørn Lomax <northlomax@gmail.com> 0.2.0-3
- Edited back to original to prevent rpmlint warnings
* Fri Jun 8  2012 Jørn Lomax <northlomax@gmail.com> 0.2.0-2
- Cleaned up spec for review
* Wed May 23 2012 Jorn Lomax <northlomax@gmail.com> 0.2.0-1
- Initial SPEC creation

